<?php


/*
To add custom PHP functions to the theme, create a child theme (https://themify.me/docs/child-theme) and add it to the child theme functions.php file. 
They will be added to the theme automatically.
*/

/**
 * Load Google fonts used by the theme
 *
 * @return array
 */
function themify_theme_google_fonts( $fonts ) {
	$fonts['kreon'] = 'Kreon:bold';
	return $fonts;
}
add_filter( 'themify_google_fonts', 'themify_theme_google_fonts' );
	
	if(!function_exists('has_post_format')){
		function has_post_format($post_type){
			return false;
		}
	}

	///////////////////////////////////////	
	// Filter RSS Feed to include Custom Fields
	///////////////////////////////////////	
	add_filter('the_content', 'themify_post_format_custom_fields');

	function themify_post_format_custom_fields( $content ) {
	
		global $themify_check;
		if(!is_feed() || $themify_check == true){
			return $content;
		}
		$post_format = themify_get('post_format');
		
		if($post_format == 'image' && themify_check('post_image')) { 
			$content .= "<img src='".themify_get('post_image')."'>";
		} elseif($post_format == 'quote' && themify_check('quote_author')) {
			$content = '"'.$content.'" '.themify_get('quote_author')." - <a href='".themify_get('quote_author_link')."'>".themify_get('quote_author_link')."</a>";
		} elseif($post_format == 'link' && themify_check('link_url')) {
			$content .= "<a href='".themify_get('link_url')."'>".themify_get('link_url')."</a>";
		} elseif($post_format == 'audio' && themify_check('audio_url')) {
			$content .= "<p><img src='".themify_get('post_image')."'></p>";
			$content .= themify_get('audio_url');
		} elseif($post_format == 'video' && themify_check('video_url')) {
			$themify_check = true;
			$content = apply_filters('the_content', themify_get('video_url')) . $content;
		}
		$themify_check = false;
		return $content;
	}
				
	// Register Custom Menu Function
	function themify_register_custom_nav() {
	    /* prevent update checks from wp.org repository */
	    add_theme_support( 'themify-exclude-theme-from-wp-update' );
	    
	    add_theme_support( 'post-thumbnails' );
	    ///////////////////////////////////////
	    // Try to add Post Format Support
	    ///////////////////////////////////////
	    add_theme_support( 'post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat') );
	    Themify_Enqueue_Assets::remove_theme_support_css('rtl');
	    register_nav_menus( array(
		    'main-nav' => __( 'Main Navigation', 'themify' ),
		    'footer-nav' => __( 'Footer Navigation', 'themify' ),
	    ) );
	}
	
	// Register Custom Menu Function - Action
	add_action('after_setup_theme', 'themify_register_custom_nav');
	

	///////////////////////////////////////	
	// Add Home Link to Menus
	///////////////////////////////////////	
	function themify_new_nav_menu_items($items) {
		$homelink = '<li class="home"><a href="' . home_url( '/' ) . '">' . __('Home', 'themify') . '</a></li>';
		$items = $homelink . $items;
		return $items;
	}
	add_filter( 'wp_nav_menu_items', 'themify_new_nav_menu_items' );
	add_filter( 'wp_list_pages', 'themify_new_nav_menu_items' );
